Skip to main content
GET
/
invocations
/
{id}
/
events
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

const response = await client.invocations.follow('id');

console.log(response);
import os
from kernel import Kernel

client = Kernel(
api_key=os.environ.get("KERNEL_API_KEY"), # This is the default and can be omitted
)
for invocation in client.invocations.follow(
id="id",
):
print(invocation)
package main

import (
"context"
"fmt"

"github.com/kernel/kernel-go-sdk"
"github.com/kernel/kernel-go-sdk/option"
)

func main() {
client := kernel.NewClient(
option.WithAPIKey("My API Key"),
)
stream := client.Invocations.FollowStreaming(
context.TODO(),
"id",
kernel.InvocationFollowParams{},
)
for stream.Next() {
fmt.Printf("%+v\n", stream.Current())
}
err := stream.Err()
if err != nil {
panic(err.Error())
}
}
curl --request GET \
--url https://api.onkernel.com/invocations/{id}/events \
--header 'Authorization: Bearer <token>'


{
  "event": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "message": "<string>"
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The invocation ID to follow.

Query Parameters

since
string

Show logs since the given time (RFC timestamps or durations like 5m).

Example:

"2025-06-20T12:00:00Z"

Response

SSE stream of invocation state updates and logs.

Union type representing any invocation event.

event
string
required

Event type identifier (always "log").

Allowed value: "log"
timestamp
string<date-time>
required

Time the log entry was produced.

message
string
required

Log message text.